cURL
curl --request POST \
--url https://api.guilds.me/v1/reviews/{review_id} \
--header 'Content-Type: application/json' \
--header 'Guilds-Api-Key: <api-key>' \
--header 'Guilds-App-Id: <api-key>' \
--data '
{
"content": "<string>",
"pinned": false
}
'import requests
url = "https://api.guilds.me/v1/reviews/{review_id}"
payload = {
"content": "<string>",
"pinned": False
}
headers = {
"Guilds-Api-Key": "<api-key>",
"Guilds-App-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Guilds-Api-Key': '<api-key>',
'Guilds-App-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content: '<string>', pinned: false})
};
fetch('https://api.guilds.me/v1/reviews/{review_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"error": "<string>"
}{
"error": "Unknown Review"
}{
"error": "Internal Server Error"
}Reviews
Post Reply
Create a reply to a review as the guild
POST
/
reviews
/
{review_id}
cURL
Authorizations
API Key specific to each guild
App ID specific to each guild
Path Parameters
The ID of the review to reply to
Body
application/json
Post reply data
Response
Create reply response
The ID of the newly created reply
Was this page helpful?
⌘I